/***************************************************************
  Klondike for Gameboy
****************************************************************
  Written by Harold Toler (herg@bigfoot.com)
  August 18, 2000
***************************************************************/

#define CARDBACK1       1
#define CARDBACK2       2
#define CARDBACK3       3
#define CARDBACK4       4
#define CARDBACK5       5
#define CARDBACK6       6

#define HOLE1           7
#define HOLE2           8
#define HOLE3           9
#define HOLE4           10
#define HOLE5           11
#define HOLE6           12

#define TRAP1           13
#define TRAP2           14

#define SPADES_TOP      15
#define SPADES_BOTTOM   16
#define CLUBS_TOP       17
#define CLUBS_BOTTOM    18
#define DIAMONDS_TOP    19
#define DIAMONDS_BOTTOM 20
#define HEARTS_TOP      21
#define HEARTS_BOTTOM   22

#define MIDDLE_LEFT     23
#define MIDDLE_RIGHT    24

#define BLACK_1         25
#define BLACKU_1        26
#define BLACK_2         27
#define BLACKU_2        28
#define BLACK_3         29
#define BLACKU_3        30
#define BLACK_4         31
#define BLACKU_4        32
#define BLACK_5         33
#define BLACKU_5        34
#define BLACK_6         35
#define BLACKU_6        36
#define BLACK_7         37
#define BLACKU_7        38
#define BLACK_8         39
#define BLACKU_8        40
#define BLACK_9         41
#define BLACKU_9        42
#define BLACK_10        43
#define BLACKU_10       44
#define BLACK_J         45
#define BLACKU_J        46
#define BLACK_Q         47
#define BLACKU_Q        48
#define BLACK_K         49
#define BLACKU_K        50

#define RED_1           51
#define REDU_1          52
#define RED_2           53
#define REDU_2          54
#define RED_3           55
#define REDU_3          56
#define RED_4           57
#define REDU_4          58
#define RED_5           59
#define REDU_5          60
#define RED_6           61
#define REDU_6          62
#define RED_7           63
#define REDU_7          64
#define RED_8           65
#define REDU_8          66
#define RED_9           67
#define REDU_9          68
#define RED_10          69
#define REDU_10         70
#define RED_J           71
#define REDU_J          72
#define RED_Q           73
#define REDU_Q          74
#define RED_K           75
#define REDU_K          76

#define BACKGRND        77

unsigned char background_tiles[] = 
{
  BACKGRND,BACKGRND,
};

unsigned char cardback_tiles[] =
{
  CARDBACK1,CARDBACK2,CARDBACK3,CARDBACK4,CARDBACK5,CARDBACK6
};

unsigned char hole_tiles[] =
{
  HOLE1,HOLE2,HOLE3,HOLE4,HOLE5,HOLE6
};

unsigned char trapped_cards_tiles[] =
{
  TRAP1,TRAP2
};

unsigned char ace_spades_tiles[] = 
{
  BLACK_1,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_1
};

unsigned char two_spades_tiles[] = 
{
  BLACK_2,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_2
};

unsigned char three_spades_tiles[] = 
{
  BLACK_3,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_3
};

unsigned char four_spades_tiles[] = 
{
  BLACK_4,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_4
};

unsigned char five_spades_tiles[] = 
{
  BLACK_5,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_5
};

unsigned char six_spades_tiles[] = 
{
  BLACK_6,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_6
};

unsigned char seven_spades_tiles[] = 
{
  BLACK_7,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_7
};

unsigned char eight_spades_tiles[] = 
{
  BLACK_8,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_8
};

unsigned char nine_spades_tiles[] = 
{
  BLACK_9,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_9
};

unsigned char ten_spades_tiles[] = 
{
  BLACK_10,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_10
};

unsigned char jack_spades_tiles[] = 
{
  BLACK_J,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_J
};

unsigned char queen_spades_tiles[] = 
{
  BLACK_Q,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_Q
};

unsigned char king_spades_tiles[] = 
{
  BLACK_K,SPADES_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,SPADES_BOTTOM,BLACKU_K
};

unsigned char ace_clubs_tiles[] = 
{
  BLACK_1,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_1
};

unsigned char two_clubs_tiles[] = 
{
  BLACK_2,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_2
};

unsigned char three_clubs_tiles[] = 
{
  BLACK_3,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_3
};

unsigned char four_clubs_tiles[] = 
{
  BLACK_4,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_4
};

unsigned char five_clubs_tiles[] = 
{
  BLACK_5,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_5
};

unsigned char six_clubs_tiles[] = 
{
  BLACK_6,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_6
};

unsigned char seven_clubs_tiles[] = 
{
  BLACK_7,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_7
};

unsigned char eight_clubs_tiles[] = 
{
  BLACK_8,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_8
};

unsigned char nine_clubs_tiles[] = 
{
  BLACK_9,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_9
};

unsigned char ten_clubs_tiles[] = 
{
  BLACK_10,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_10
};

unsigned char jack_clubs_tiles[] = 
{
  BLACK_J,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_J
};

unsigned char queen_clubs_tiles[] = 
{
  BLACK_Q,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_Q
};

unsigned char king_clubs_tiles[] = 
{
  BLACK_K,CLUBS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,CLUBS_BOTTOM,BLACKU_K
};

unsigned char ace_hearts_tiles[] = 
{
  RED_1,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_1
};

unsigned char two_hearts_tiles[] = 
{
  RED_2,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_2
};

unsigned char three_hearts_tiles[] = 
{
  RED_3,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_3
};

unsigned char four_hearts_tiles[] = 
{
  RED_4,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_4
};

unsigned char five_hearts_tiles[] = 
{
  RED_5,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_5
};

unsigned char six_hearts_tiles[] = 
{
  RED_6,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_6
};

unsigned char seven_hearts_tiles[] = 
{
  RED_7,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_7
};

unsigned char eight_hearts_tiles[] = 
{
  RED_8,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_8
};

unsigned char nine_hearts_tiles[] = 
{
  RED_9,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_9
};

unsigned char ten_hearts_tiles[] = 
{
  RED_10,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_10
};

unsigned char jack_hearts_tiles[] = 
{
  RED_J,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_J
};

unsigned char queen_hearts_tiles[] = 
{
  RED_Q,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_Q
};

unsigned char king_hearts_tiles[] = 
{
  RED_K,HEARTS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,HEARTS_BOTTOM,REDU_K
};

unsigned char ace_diamonds_tiles[] = 
{
  RED_1,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_1
};

unsigned char two_diamonds_tiles[] = 
{
  RED_2,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_2
};

unsigned char three_diamonds_tiles[] = 
{
  RED_3,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_3
};

unsigned char four_diamonds_tiles[] = 
{
  RED_4,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_4
};

unsigned char five_diamonds_tiles[] = 
{
  RED_5,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_5
};

unsigned char six_diamonds_tiles[] = 
{
  RED_6,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_6
};

unsigned char seven_diamonds_tiles[] = 
{
  RED_7,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_7
};

unsigned char eight_diamonds_tiles[] = 
{
  RED_8,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_8
};

unsigned char nine_diamonds_tiles[] = 
{
  RED_9,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_9
};

unsigned char ten_diamonds_tiles[] = 
{
  RED_10,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_10
};

unsigned char jack_diamonds_tiles[] = 
{
  RED_J,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_J
};

unsigned char queen_diamonds_tiles[] = 
{
  RED_Q,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_Q
};

unsigned char king_diamonds_tiles[] = 
{
  RED_K,DIAMONDS_TOP,MIDDLE_LEFT,MIDDLE_RIGHT,DIAMONDS_BOTTOM,REDU_K
};

void *card_maps[] =
{
  hole_tiles,cardback_tiles,trapped_cards_tiles,
  ace_spades_tiles,ace_clubs_tiles,ace_diamonds_tiles,ace_hearts_tiles,
  two_spades_tiles,two_clubs_tiles,two_diamonds_tiles,two_hearts_tiles,
  three_spades_tiles,three_clubs_tiles,three_diamonds_tiles,three_hearts_tiles,
  four_spades_tiles,four_clubs_tiles,four_diamonds_tiles,four_hearts_tiles,
  five_spades_tiles,five_clubs_tiles,five_diamonds_tiles,five_hearts_tiles,
  six_spades_tiles,six_clubs_tiles,six_diamonds_tiles,six_hearts_tiles,
  seven_spades_tiles,seven_clubs_tiles,seven_diamonds_tiles,seven_hearts_tiles,
  eight_spades_tiles,eight_clubs_tiles,eight_diamonds_tiles,eight_hearts_tiles,
  nine_spades_tiles,nine_clubs_tiles,nine_diamonds_tiles,nine_hearts_tiles,
  ten_spades_tiles,ten_clubs_tiles,ten_diamonds_tiles,ten_hearts_tiles,
  jack_spades_tiles,jack_clubs_tiles,jack_diamonds_tiles,jack_hearts_tiles,
  queen_spades_tiles,queen_clubs_tiles,queen_diamonds_tiles,queen_hearts_tiles,
  king_spades_tiles,king_clubs_tiles,king_diamonds_tiles,king_hearts_tiles
};